/* 
	TMT  2009  presents:
	********************
	* Sgt. Helmet Zero *
	********************
	
	A game by Na Than 09
*/

// Amigo mo, este cdigo es una puta pesadilla. Las cosas tienen que ir
// rpido y adems caber en memoria, y eso no sale si el cdigo es bonito.
// Si piensas echar un ojo... Que te sea leve! :-D

// Introducing the almighty CSP2 library addon for SPLIB2
// (copyleft) 2008/2009 Na Than Assh Antti

// Dedicado al Anju.

// Main includes
#include <spritepack.h>
#include "externs.h"

// Allocate space for the stack
#pragma output STACKPTR=24999	// 32768+512
//61140

// Addresses

#define INICIAEFECTO	0xC364
#define WYZPLAYERISR	0xC021	// Esto es INICIO en el cdigo de wyzplayer.asm
#define CARGA_CANCION	0xC05E	// 0xC063
#define SILENCIA_PLAYER	0xC043	// 0xC048

#define	CANAL_FX		0		// Canal por el que suenan los efectos de sonido

// Extern cross-languaje vars
extern char asm_number[1];
extern unsigned int asm_int [1];
extern unsigned int asm_int_2 [1];
extern unsigned int seed [1];
extern unsigned char cur_pant_buf [40];
extern char *Rand8;
#asm
	._asm_number	defb 0
	._asm_int		defw 0
	._asm_int_2		defw 0
	._seed			defw 0
	._cur_pant_buf	defs 40, 0
#endasm

void SetRAMBank() {
#asm
	.SetRAMBank
			ld	A, ($5B5C)
			and F8h
			or	B
			ld	BC, $7FFD
			ld	($5B5C), A
			out (C), A	
#endasm
}

// Manage keys and joystick at the same time
struct sp_UDK keys;

char ula64 = 0;

// Data types
#include "datatypes.h"

// Esto tiene que estar bajito en memoria:
void copy_screen (unsigned char n_pant) {
	
	// Copia la pantalla desde ram3 hasta cur_pant_buf
	
	asm_number [0] = n_pant;
	
	// Pagino RAM3
	#asm
			; Cambiar a RAM3
			di							; Desactiva ints
			ld 		b, 3					; b = 3 para RAM3
			call 	SetRAMBank				; Hace el cambio
		
			; Copiar
			ld		hl, _asm_number
			ld		a, (hl)				; nmero de pantalla
			ld		h, 0
			ld		l, a				; hl = 0:a
			ld		d, h
			ld		e, l				; de = hl = n_pant
			
			; hl * 35 = hl * 32 + hl * 3 = hl * 32 + hl * 2 + hl
			
			add		hl, hl				; hl = 2 * n_pant
			add		hl, hl				; hl = 4 * n_pant
			add		hl, hl				; hl = 8 * n_pant
			add		hl, hl				; hl = 16 * n_pant
			add		hl, hl				; hl = 32 * n_pant
			
			add		hl, de				; hl = 33 * n_pant
			add		hl, de				; hl = 34 * n_pant
			add		hl, de				; hl = 35 * n_pant
			
			ld		de, C000h
			add		hl, de
			
			; OK			
			
			ld		de, _cur_pant_buf	; Apunta al buffer de pantalla
			
			ld		b, 5				; cinco lineas
	.csl	push	bc
	
			ldi
			ldi
			ldi
			ldi
			ldi
			ldi
			ldi							; Copio 7 tiles
			inc		de					; Nos saltamos 1 (el buffer est alineado a 8)
		
			pop		bc
			djnz	csl
	
			; De vuelta a RAM 0 y pongo las interrupciones.	
	
			ld 		b, 0
			call 	SetRAMBank
			ei
	#endasm
}

// Hostages
#include "hostages.h"

void init_hostages () {
	#asm
			; Cambiar a RAM3
			di							; Desactiva ints
			ld 		b, 3				; b = 3 para RAM3
			call 	SetRAMBank			; Hace el cambio
	
			ld 		de, _hostages_offsets	; Apuntamos a la lista de offsets
			
			ld		b, 40				; 40 hostages
	.ihl	push 	bc
			
			ld 		a, 	(de)			; Leer 16 bits little endian
			ld		c, 	a				
			inc		de
			ld		a, 	(de)
			ld		b, 	a
			inc		de
			
			; bc == offset
			ld		hl, C000h
			add		hl, bc				; hl: offset real
			ld		(hl), 79			; cargamos un 79: hostage
			
			pop		bc					; next n
			djnz 	ihl
			
			ld 		b, 0
			call 	SetRAMBank
			ei
	#endasm
}

void elimina_hostage (unsigned char n_pant) {
	// Como estn ordenados, se puede hacer una guarrada padre.
	// Todo por no trabajar...
	unsigned int floor, offset;
	unsigned char i;
	
	floor = 35 * n_pant;
	
	for (i = 0; i < 40; i ++) {
		if (hostages_offsets [i] > floor) {
			offset = hostages_offsets [i];
			break;
		}
	}
	
	asm_int [0] = offset;
	
	#asm
			; Cambiar a RAM3
			di							; Desactiva ints
			ld 		b, 3				; b = 3 para RAM3
			call 	SetRAMBank			; Hace el cambio
	
			ld 		de, _asm_int		; de -> offset			
			ld 		a, 	(de)			; Leer 16 bits little endian
			ld		c, 	a				
			inc		de
			ld		a, 	(de)
			ld		b, 	a				; bc == offset
			ld		hl, C000h
			add		hl, bc				; hl: offset real
			ld		(hl), 78			; cargamos un 78: nada
						
			ld 		b, 0
			call 	SetRAMBank
			ei
	#endasm	
}

// WYZ Player hook functions
#include "wyzplay.h"

// Import sp_ClipStruct
#include "clipstruct.h"

// Create memory allocator for sprite routines
#include "memory.h"

// APLIB
#include "aplib.h"

// Auxiliary functions
#include "aux_functions.h"

// csp2 :)
#include "csp2.h"

// Particles
#include "particles.h"

// *** GAME FUNCTIONS ***
#include "game.h"

// GFX, etcetera:

#include "gfx.h"
#include "chunks.h"
#include "sprites.h"
//#include "map.h" // Lo he movido a RAM3

